{
  "name": "@eternal-twin/forum-in-memory",
  "version": "0.8.4",
  "homepage": "https://gitlab.com/eternal-twin/etwin-api",
  "description": "Eternal-Twin `ForumService` in-memory implementation",
  "repository": {
    "type": "git",
    "url": "git://gitlab.com:eternal-twin/etwin-api.git"
  },
  "licenses": [
    {
      "type": "AGPL-3.0-or-later",
      "url": "https://spdx.org/licenses/AGPL-3.0-or-later.html"
    }
  ],
  "scripts": {
    "lint": "eslint \"./src/**/*.ts\"",
    "format": "eslint --fix \"./src/**/*.ts\"",
    "build": "tsc --build src/lib/tsconfig.json",
    "prepack": "yarn run build",
    "native:build": "cd ../native && yarn run native:build",
    "test:build": "yarn run native:build && tsc --build src/test/tsconfig.json",
    "test": "yarn run test:build && mocha --experimental-wasm-modules \"test/**/*.spec.js\""
  },
  "publishConfig": {
    "access": "public",
    "registry": "https://registry.npmjs.org/"
  },
  "keywords": [],
  "engines": {
    "node": ">=14.13.1"
  },
  "dependencies": {
    "@eternal-twin/core": "workspace:*",
    "@eternal-twin/marktwin": "^0.2.0"
  },
  "devDependencies": {
    "@eternal-twin/auth-in-memory": "workspace:*",
    "@eternal-twin/email-in-memory": "workspace:*",
    "@eternal-twin/email-template-json": "workspace:*",
    "@eternal-twin/forum-test": "workspace:*",
    "@eternal-twin/local-config": "workspace:*",
    "@eternal-twin/native": "workspace:*",
    "@eternal-twin/oauth-provider-in-memory": "workspace:*",
    "@eternal-twin/twinoid-client-http": "workspace:*",
    "@types/chai": "^4.2.21",
    "@types/mocha": "^8.2.3",
    "@types/node": "^16.3.3",
    "chai": "^4.3.4",
    "eslint": "^7.31.0",
    "mocha": "^9.0.2",
    "typescript": "^4.3.5"
  },
  "type": "module",
  "exports": {
    ".": "./lib/index.js",
    "./lib/*": "./lib/*.js"
  },
  "main": "./lib/index.js",
  "module": "./lib/index.js",
  "types": "./lib/index.d.ts",
  "files": [
    "./lib/"
  ]
}
